---
title: "Returns a list of changes of a product."
url: "https://developer.migros.ch/apis/products-related-8/versions/605be1d6-ffb8-4b27-8cd0-286a81eaec29/operations/debug-product-versions"
---

> Full API specification: https://developer.migros.ch/apis/products-related-8/versions/605be1d6-ffb8-4b27-8cd0-286a81eaec29.md

# Returns a list of changes of a product.

`GET` `/migros/products/v8/debug/products/{id}/versions`

Operation ID: `debug-product-versions`

This is an internal route and doesn't necessarily follow API versioning.

## Path parameters

- `id` (string, required)

## Responses

- `200` - Returned when successful

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Products Related
  version: "8"
servers:
  - description: Public Kong Gateway URL
    url: https://api.migros.ch
paths:
  /migros/products/v8/debug/products/{id}/versions:
    get:
      description: This is an internal route and doesn't necessarily follow API versioning.
      operationId: debug-product-versions
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        "200":
          description: Returned when successful
      summary: Returns a list of changes of a product.
      tags:
        - Products Admin Debug
        - Products Related
security:
  - Kong-Api-Key: []
    basicAuth: []
components:
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
